org.wildfly.swarm.config.management

## Class HTTPInterfaceManagementInterface<T extends HTTPInterfaceManagementInterface<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.HTTPInterfaceManagementInterface<T>

-     public class HTTPInterfaceManagementInterface<T extends HTTPInterfaceManagementInterface<T>>
      extends Object

  Configuration of the server's HTTP management interface

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPInterfaceManagementInterface()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `allowedOrigin(String value)` Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.
    `List<String>` | `allowedOrigins()` Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.
    `T` | `allowedOrigins(List<String> value)` Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.
    `T` | `allowedOrigins(String... args)` Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.
    `Boolean` | `consoleEnabled()` Flag that indicates admin console is enabled
    `T` | `consoleEnabled(Boolean value)` Flag that indicates admin console is enabled
    `String` | `getKey()`
    `String` | `httpAuthenticationFactory()` The authentication policy to use to secure the interface for normal HTTP requests.
    `T` | `httpAuthenticationFactory(String value)` The authentication policy to use to secure the interface for normal HTTP requests.
    `Map` | `httpUpgrade()` HTTP Upgrade specific configuration
    `T` | `httpUpgrade(Map value)` HTTP Upgrade specific configuration
    `T` | `httpUpgrade(String key, Object value)` HTTP Upgrade specific configuration
    `Boolean` | `httpUpgradeEnabled()` Flag that indicates HTTP Upgrade is enabled, which allows HTTP requests to be upgraded to native remoting connections
    `T` | `httpUpgradeEnabled(Boolean value)` Flag that indicates HTTP Upgrade is enabled, which allows HTTP requests to be upgraded to native remoting connections
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `saslProtocol()` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `T` | `saslProtocol(String value)` The name of the protocol to be passed to the SASL mechanisms used for authentication.
    `String` | `secureSocketBinding()` The name of the socket binding configuration to use for the HTTPS management interface's socket.
    `T` | `secureSocketBinding(String value)` The name of the socket binding configuration to use for the HTTPS management interface's socket.
    `String` | `securityRealm()` The legacy security realm to use for the HTTP management interface.
    `T` | `securityRealm(String value)` The legacy security realm to use for the HTTP management interface.
    `String` | `serverName()` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `T` | `serverName(String value)` The name of the server used in the initial Remoting exchange and within the SASL mechanisms.
    `String` | `socketBinding()` The name of the socket binding configuration to use for the HTTP management interface's socket.
    `T` | `socketBinding(String value)` The name of the socket binding configuration to use for the HTTP management interface's socket.
    `String` | `sslContext()` Reference to the SSLContext to use for this management interface.
    `T` | `sslContext(String value)` Reference to the SSLContext to use for this management interface.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPInterfaceManagementInterface

          public HTTPInterfaceManagementInterface()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### allowedOrigins

          public List<String> allowedOrigins()

      Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.

    - #### allowedOrigins

          public T allowedOrigins(List<String> value)

      Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.

    - #### allowedOrigin

          public T allowedOrigin(String value)

      Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.

    - #### allowedOrigins

          public T allowedOrigins(String... args)

      Comma separated list of trusted Origins for sending Cross-Origin Resource Sharing requests on the management API once the user is authenticated.

    - #### consoleEnabled

          public Boolean consoleEnabled()

      Flag that indicates admin console is enabled

    - #### consoleEnabled

          public T consoleEnabled(Boolean value)

      Flag that indicates admin console is enabled

    - #### httpAuthenticationFactory

          public String httpAuthenticationFactory()

      The authentication policy to use to secure the interface for normal HTTP requests.

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(String value)

      The authentication policy to use to secure the interface for normal HTTP requests.

    - #### httpUpgrade

          public Map httpUpgrade()

      HTTP Upgrade specific configuration

    - #### httpUpgrade

          public T httpUpgrade(Map value)

      HTTP Upgrade specific configuration

    - #### httpUpgrade

          public T httpUpgrade(String key,
                               Object value)

      HTTP Upgrade specific configuration

    - #### httpUpgradeEnabled

          public Boolean httpUpgradeEnabled()

      Flag that indicates HTTP Upgrade is enabled, which allows HTTP requests to be upgraded to native remoting connections

    - #### httpUpgradeEnabled

          public T httpUpgradeEnabled(Boolean value)

      Flag that indicates HTTP Upgrade is enabled, which allows HTTP requests to be upgraded to native remoting connections

    - #### saslProtocol

          public String saslProtocol()

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### saslProtocol

          public T saslProtocol(String value)

      The name of the protocol to be passed to the SASL mechanisms used for authentication.

    - #### secureSocketBinding

          public String secureSocketBinding()

      The name of the socket binding configuration to use for the HTTPS management interface's socket. When defined at least one of ssl-context or security-realm must also be defined.

    - #### secureSocketBinding

          public T secureSocketBinding(String value)

      The name of the socket binding configuration to use for the HTTPS management interface's socket. When defined at least one of ssl-context or security-realm must also be defined.

    - #### securityRealm

          public String securityRealm()

      The legacy security realm to use for the HTTP management interface.

    - #### securityRealm

          public T securityRealm(String value)

      The legacy security realm to use for the HTTP management interface.

    - #### serverName

          public String serverName()

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### serverName

          public T serverName(String value)

      The name of the server used in the initial Remoting exchange and within the SASL mechanisms.

    - #### socketBinding

          public String socketBinding()

      The name of the socket binding configuration to use for the HTTP management interface's socket.

    - #### socketBinding

          public T socketBinding(String value)

      The name of the socket binding configuration to use for the HTTP management interface's socket.

    - #### sslContext

          public String sslContext()

      Reference to the SSLContext to use for this management interface.

    - #### sslContext

          public T sslContext(String value)

      Reference to the SSLContext to use for this management interface.

Copyright © 2018 JBoss by Red Hat. All rights reserved.